Bug 1461576 - [abrt] plasma-workspace: SNIProxy::SNIProxy(): xembedsniproxy killed by signal 11
[abrt] plasma-workspace: SNIProxy::SNIProxy(): xembedsniproxy killed by signa...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: plasma-workspace (Show other bugs)
26
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: KDE SIG
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:163c0bc9ac3cc10107108187fab...
:
: 1462545 1467043 1470075 1470990 1471208 1471271 1474020 1474501 1476036 1484560 1484939 (view as bug list)
Depends On:
Blocks: 1463252
  Show dependency treegraph
 
Reported: 2017-06-14 16:09 EDT by Eugene Mah
Modified: 2017-08-24 11:24 EDT (History)
31 users (show)

See Also:
Fixed In Version: plasma-workspace-5.10.4-1.fc26
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-07 13:26:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (66.96 KB, text/plain)
2017-06-14 16:09 EDT, Eugene Mah
no flags Details
File: cgroup (289 bytes, text/plain)
2017-06-14 16:09 EDT, Eugene Mah
no flags Details
File: core_backtrace (11.05 KB, text/plain)
2017-06-14 16:09 EDT, Eugene Mah
no flags Details
File: cpuinfo (1.10 KB, text/plain)
2017-06-14 16:09 EDT, Eugene Mah
no flags Details
File: dso_list (14.00 KB, text/plain)
2017-06-14 16:10 EDT, Eugene Mah
no flags Details
File: environ (2.68 KB, text/plain)
2017-06-14 16:10 EDT, Eugene Mah
no flags Details
File: exploitable (82 bytes, text/plain)
2017-06-14 16:10 EDT, Eugene Mah
no flags Details
File: limits (1.29 KB, text/plain)
2017-06-14 16:10 EDT, Eugene Mah
no flags Details
File: maps (62.29 KB, text/plain)
2017-06-14 16:10 EDT, Eugene Mah
no flags Details
File: open_fds (657 bytes, text/plain)
2017-06-14 16:10 EDT, Eugene Mah
no flags Details
File: proc_pid_status (1.27 KB, text/plain)
2017-06-14 16:10 EDT, Eugene Mah
no flags Details
File: var_log_messages (310 bytes, text/plain)
2017-06-14 16:10 EDT, Eugene Mah
no flags Details

  None (edit)
Description Eugene Mah 2017-06-14 16:09:49 EDT
Description of problem:
Logged into my computer and a notification of a crash showed up.

Version-Release number of selected component:
plasma-workspace-5.10.1-1.fc26

Additional info:
reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/bin/xembedsniproxy
crash_function: SNIProxy::SNIProxy
executable:     /usr/bin/xembedsniproxy
journald_cursor: s=ed9f3681ff464b67a92c4c569485a996;i=17cbeb;b=85d2dcdc64d34bcaa634d24673aedd98;m=2fe5310a;t=551f10a914009;x=9362a85ad55343a
kernel:         4.11.4-300.fc26.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 SNIProxy::SNIProxy at /usr/src/debug/plasma-workspace-5.10.1/xembed-sni-proxy/sniproxy.cpp:212
 #1 FdoSelectionManager::dock at /usr/src/debug/plasma-workspace-5.10.1/xembed-sni-proxy/fdoselectionmanager.cpp:171
 #2 FdoSelectionManager::nativeEventFilter at /usr/src/debug/plasma-workspace-5.10.1/xembed-sni-proxy/fdoselectionmanager.cpp:136
 #3 QAbstractEventDispatcher::filterNativeEvent at kernel/qabstracteventdispatcher.cpp:466
 #4 QXcbConnection::handleXcbEvent at qxcbconnection.cpp:1106
 #5 QXcbConnection::processXcbEvents at qxcbconnection.cpp:1741
 #6 QObject::event at kernel/qobject.cpp:1263
 #7 doNotify at kernel/qcoreapplication.cpp:1063
 #8 QCoreApplication::notifyInternal2 at kernel/qcoreapplication.cpp:988
 #9 QCoreApplication::sendEvent at kernel/qcoreapplication.h:231

Potential duplicate: bug 1280018
Comment 1 Eugene Mah 2017-06-14 16:09:56 EDT
Created attachment 1287809 [details]
File: backtrace
Comment 2 Eugene Mah 2017-06-14 16:09:57 EDT
Created attachment 1287810 [details]
File: cgroup
Comment 3 Eugene Mah 2017-06-14 16:09:58 EDT
Created attachment 1287811 [details]
File: core_backtrace
Comment 4 Eugene Mah 2017-06-14 16:09:59 EDT
Created attachment 1287812 [details]
File: cpuinfo
Comment 5 Eugene Mah 2017-06-14 16:10:01 EDT
Created attachment 1287813 [details]
File: dso_list
Comment 6 Eugene Mah 2017-06-14 16:10:02 EDT
Created attachment 1287814 [details]
File: environ
Comment 7 Eugene Mah 2017-06-14 16:10:03 EDT
Created attachment 1287815 [details]
File: exploitable
Comment 8 Eugene Mah 2017-06-14 16:10:04 EDT
Created attachment 1287816 [details]
File: limits
Comment 9 Eugene Mah 2017-06-14 16:10:06 EDT
Created attachment 1287817 [details]
File: maps
Comment 10 Eugene Mah 2017-06-14 16:10:07 EDT
Created attachment 1287818 [details]
File: open_fds
Comment 11 Eugene Mah 2017-06-14 16:10:08 EDT
Created attachment 1287819 [details]
File: proc_pid_status
Comment 12 Eugene Mah 2017-06-14 16:10:09 EDT
Created attachment 1287820 [details]
File: var_log_messages
Comment 13 Eugene Mah 2017-06-15 15:36:57 EDT
Similar problem has been detected:

Logged into my computer and received a notification of a crash

reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/bin/xembedsniproxy
crash_function: SNIProxy::SNIProxy
executable:     /usr/bin/xembedsniproxy
journald_cursor: s=ed9f3681ff464b67a92c4c569485a996;i=17ebc4;b=10d0355f827a4ade8f10ebea4d06eb84;m=126386cb;t=552047ac71947;x=b1988379c489b2f1
kernel:         4.11.4-300.fc26.x86_64
package:        plasma-workspace-5.10.1-1.fc26
reason:         xembedsniproxy killed by signal 11
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 14 E.Patton 2017-06-18 13:46:58 EDT
*** Bug 1462545 has been marked as a duplicate of this bug. ***
Comment 15 Colin J Thomson 2017-06-29 09:37:17 EDT
This is now fixed in Plasma-5.10.3
Comment 16 David Vásquez 2017-07-01 01:18:12 EDT
Similar problem has been detected:

When the session started

reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/bin/xembedsniproxy
crash_function: SNIProxy::SNIProxy
executable:     /usr/bin/xembedsniproxy
journald_cursor: s=1bccb2952f6d4ba2a572e58accd3e975;i=10ec9;b=17550c5fd7114d079f6eaf7dec92006d;m=9811698;t=55335c8171003;x=3d098ec9b2c67e8f
kernel:         4.11.7-300.fc26.x86_64
package:        plasma-workspace-5.10.1-1.fc26
reason:         xembedsniproxy killed by signal 11
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1001
Comment 17 Kamil Grzebien 2017-07-01 08:55:39 EDT
Similar problem has been detected:

It happens on resume process. Whole plasma session is crashing closing all previously opened applications. Happened to me already few times.

Machine is connected to Dell WD15 docking station with 1 external monitor connected. In this particular case I suspended with docking station connected and resumed without it. 

reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /bin/xembedsniproxy
crash_function: SNIProxy::SNIProxy
executable:     /usr/bin/xembedsniproxy
journald_cursor: s=9ca301758fcc45b98ce9c4bc393c771c;i=11834;b=ba47b3ec0b1f445482c9b47ba4defe44;m=c3923613f;t=55340d594cea7;x=734ab6368ae2f652
kernel:         4.11.6-301.fc26.x86_64
package:        plasma-workspace-5.10.1-1.fc26
reason:         xembedsniproxy killed by signal 11
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 18 Sylvain Réault 2017-07-02 04:30:09 EDT
*** Bug 1467043 has been marked as a duplicate of this bug. ***
Comment 19 Robin Lee 2017-07-07 02:15:33 EDT
Similar problem has been detected:

First time booting plasma desktop after install @kde-desktop.

reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/bin/xembedsniproxy
crash_function: SNIProxy::SNIProxy
executable:     /usr/bin/xembedsniproxy
journald_cursor: s=3e7774c320dc482e90611a53e0020bdd;i=206b21;b=f6f498ad9da248deb88aa6608a969a8e;m=36f5327;t=553b0f77230e1;x=e0bbdd3d7d63f7a
kernel:         4.11.6-301.fc26.x86_64
package:        plasma-workspace-5.10.1-1.fc26
reason:         xembedsniproxy killed by signal 11
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 20 daramas444 2017-07-07 03:24:42 EDT
Similar problem has been detected:

boot
login to user session
ge this error

reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/bin/xembedsniproxy
crash_function: SNIProxy::SNIProxy
executable:     /usr/bin/xembedsniproxy
journald_cursor: s=3b94b4bf7d0046ee8adfc1012b1a1d39;i=7aa;b=46287819933e4273af2e6154f8159c5c;m=112b8747;t=553b50a3cb878;x=c424dfb534385325
kernel:         4.11.8-300.fc26.x86_64
package:        plasma-workspace-5.10.1-1.fc26
reason:         xembedsniproxy killed by signal 11
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 21 Thom Carlin 2017-07-12 07:31:32 EDT
*** Bug 1470075 has been marked as a duplicate of this bug. ***
Comment 22 Anton Kochkov 2017-07-13 04:56:16 EDT
Similar problem has been detected:

First boot after the upgrading Fedora 25 to 26.

reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/bin/xembedsniproxy
crash_function: SNIProxy::SNIProxy
executable:     /usr/bin/xembedsniproxy
journald_cursor: s=57177a814e3e4c3b9e8ae34f4a4d2ee1;i=892f0;b=16a3f62b5f6b4fb3bd0a3ac8681f675c;m=21abf88;t=5542ee220393d;x=ee496f28d8e2011f
kernel:         4.11.9-300.fc26.x86_64
package:        plasma-workspace-5.10.1-1.fc26
reason:         xembedsniproxy killed by signal 11
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 23 Brendan Minish 2017-07-13 14:00:25 EDT
Similar problem has been detected:

Occurs right after login, before networks connect

reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/bin/xembedsniproxy
crash_function: SNIProxy::SNIProxy
executable:     /usr/bin/xembedsniproxy
journald_cursor: s=6bdea796b4bd48ee9f3939a05322c75f;i=45215;b=9ddff63f7217458f94d95d500fba9f5d;m=532c4cb;t=5543699821004;x=f61e4d9b544a96de
kernel:         4.11.9-300.fc26.x86_64
package:        plasma-workspace-5.10.1-1.fc26
reason:         xembedsniproxy killed by signal 11
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 24 Dim 2017-07-14 04:38:31 EDT
*** Bug 1470990 has been marked as a duplicate of this bug. ***
Comment 25 Arjun Pakrashi 2017-07-14 09:55:09 EDT
Similar problem has been detected:

It happens automatically, plasma freezes frequently after login. Nothing specific needs to be done.

reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/bin/xembedsniproxy
crash_function: SNIProxy::SNIProxy
executable:     /usr/bin/xembedsniproxy
journald_cursor: s=bcf5e4803292460aab97e3f45a1a255f;i=97a2;b=a25d287489774b00ba72c4c0e52fb07e;m=17bbff1;t=55446ef3674c2;x=a7aa6f36dbcf6aa7
kernel:         4.11.9-300.fc26.x86_64
package:        plasma-workspace-5.10.1-1.fc26
reason:         xembedsniproxy killed by signal 11
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 26 Jacek Pawlyta 2017-07-14 13:08:55 EDT
*** Bug 1471208 has been marked as a duplicate of this bug. ***
Comment 27 thestonewell 2017-07-14 17:02:34 EDT
*** Bug 1471271 has been marked as a duplicate of this bug. ***
Comment 28 Mattia Verga 2017-07-16 06:49:40 EDT
Similar problem has been detected:

After upgrading from F25 to F26 I get this crash on startup when logging in.

reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/bin/xembedsniproxy
crash_function: SNIProxy::SNIProxy
executable:     /usr/bin/xembedsniproxy
journald_cursor: s=427d70eb787c472ea42a2a89341e35c1;i=145f6;b=423e21d3bb464d6ea53d9fb5f2e385d4;m=1d30073;t=5546cda4b2d7d;x=30d63b17dbf188e4
kernel:         4.11.9-300.fc26.x86_64
package:        plasma-workspace-5.10.1-1.fc26
reason:         xembedsniproxy killed by signal 11
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 29 Norman Davidson 2017-07-18 05:02:25 EDT
Similar problem has been detected:

Logging in to KDE desktop.

reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/bin/xembedsniproxy
crash_function: SNIProxy::SNIProxy
executable:     /usr/bin/xembedsniproxy
journald_cursor: s=61305bffb1c541698cf8b9cede06c114;i=11438;b=9d30bb1197f54fea856031e2d59a7fe1;m=3a4a810a;t=554938fb54b18;x=bec052bf7ce5cf4a
kernel:         4.11.10-300.fc26.x86_64
package:        plasma-workspace-5.10.1-1.fc26
reason:         xembedsniproxy killed by signal 11
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 30 gggsartori 2017-07-23 03:31:17 EDT
*** Bug 1474020 has been marked as a duplicate of this bug. ***
Comment 31 kaasboer 2017-07-24 14:58:36 EDT
*** Bug 1474501 has been marked as a duplicate of this bug. ***
Comment 32 Dim 2017-07-25 02:38:01 EDT
Similar problem has been detected:

1. I launched Plasma session
2. I launched Linphone
3. I closed Linphone
4. Plasma fell

reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/bin/xembedsniproxy
crash_function: SNIProxy::SNIProxy
executable:     /usr/bin/xembedsniproxy
journald_cursor: s=2a0eaf2cbdaf4b018499ca1666f43adb;i=1124a2;b=b8e8317b6ae74a60b76df051cff850ef;m=bf871e3;t=5551e6a60fa75;x=46fd2b134b10180
kernel:         4.11.11-300.fc26.x86_64
package:        plasma-workspace-5.10.1-1.fc26
reason:         xembedsniproxy killed by signal 11
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            16777216
Comment 33 Radoje Stojisic 2017-07-27 18:10:58 EDT
*** Bug 1476036 has been marked as a duplicate of this bug. ***
Comment 34 Rex Dieter 2017-08-04 10:22:13 EDT
per comment #32 , using latest plasma-workspace-5.10.3 from (stable) updates, I cannot reproduce any crash with start/quit of linphone

Can anyone still reproduce this with 5.10.3?  (I see all the reports here references 5.10.1)
Comment 35 Mattia Verga 2017-08-05 12:16:16 EDT
I didn't experienced this crash anymore and I can confirm I'm unable to reproduce the crash with linphone.
Comment 36 Eugene Mah 2017-08-05 16:40:53 EDT
I don't think I've encountered this bug since the update to 5.10.3 or 5.10.4
Comment 37 Rex Dieter 2017-08-07 13:26:22 EDT
Thanks, closing.
Comment 38 thestonewell 2017-08-23 16:53:52 EDT
*** Bug 1484560 has been marked as a duplicate of this bug. ***
Comment 39 Sven Kieske 2017-08-24 11:24:42 EDT
*** Bug 1484939 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.